package com.sdtool.common.entity.design;

import com.sdtool.common.entity.base.BaseEntity;
import com.sweetfish.util.Comment;
import org.rex.db.RColumn;

/**
 * 设计元素,订单的子表
 */
public class DesignOrderItem extends BaseEntity {
    @Comment("")
    @RColumn("id")
    private long id;

    @Comment("关联的订单id")
    @RColumn("idorder")
    private long idOrder;

    @Comment("元素类型")
    @RColumn("itemtype")
    private String itemType;

    @Comment("坐标x(锚点相对于拼版尺寸左上角)")
    @RColumn("locationx")
    private double locationX;

    @Comment("坐标y(锚点相对于拼版尺寸左上角)")
    @RColumn("locationy")
    private double locationY;

    @Comment("元素宽")
    @RColumn("sizewidth")
    private double sizeWidth;

    @Comment("元素高")
    @RColumn("sizeheight")
    private double sizeHeight;

    @Comment("旋转角度")
    @RColumn("rotation")
    private double rotation;

    @Comment("z轴顺序,0最底层")
    @RColumn("zindex")
    private int zIndex;

    @Comment("元素属性json,通常是文件链接")
    @RColumn("jsoncontent")
    private String jsonContent;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public long getIdOrder() {
        return idOrder;
    }

    public void setIdOrder(long idOrder) {
        this.idOrder = idOrder;
    }

    public String getItemType() {
        return itemType;
    }

    public void setItemType(String itemType) {
        this.itemType = itemType;
    }

    public double getLocationX() {
        return locationX;
    }

    public void setLocationX(double locationX) {
        this.locationX = locationX;
    }

    public double getLocationY() {
        return locationY;
    }

    public void setLocationY(double locationY) {
        this.locationY = locationY;
    }

    public double getSizeWidth() {
        return sizeWidth;
    }

    public void setSizeWidth(double sizeWidth) {
        this.sizeWidth = sizeWidth;
    }

    public double getSizeHeight() {
        return sizeHeight;
    }

    public void setSizeHeight(double sizeHeight) {
        this.sizeHeight = sizeHeight;
    }

    public double getRotation() {
        return rotation;
    }

    public void setRotation(double rotation) {
        this.rotation = rotation;
    }

    public int getzIndex() {
        return zIndex;
    }

    public void setzIndex(int zIndex) {
        this.zIndex = zIndex;
    }

    public String getJsonContent() {
        return jsonContent;
    }

    public void setJsonContent(String jsonContent) {
        this.jsonContent = jsonContent;
    }
}
